Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.237.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
31.237.0.0
Broadcast address
31.237.31.255
First usable
31.237.0.1
Last usable
31.237.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FED0000 · Integer 535625728 to 535633919
Reverse DNS zones
0.237.31.in-addr.arpa
1.237.31.in-addr.arpa
2.237.31.in-addr.arpa
3.237.31.in-addr.arpa
4.237.31.in-addr.arpa
5.237.31.in-addr.arpa
6.237.31.in-addr.arpa
7.237.31.in-addr.arpa
8.237.31.in-addr.arpa
9.237.31.in-addr.arpa
10.237.31.in-addr.arpa
11.237.31.in-addr.arpa
12.237.31.in-addr.arpa
13.237.31.in-addr.arpa
14.237.31.in-addr.arpa
15.237.31.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.11101101.00000000.0000000031.237.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011111.11101101.00000000.0000000031.237.0.0
Broadcast00011111.11101101.00011111.1111111131.237.31.255
Split into smaller subnets/30

31.237.0.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.237.0.0/3031.237.0.1 to 31.237.0.231.237.0.32
231.237.0.4/3031.237.0.5 to 31.237.0.631.237.0.72
331.237.0.8/3031.237.0.9 to 31.237.0.1031.237.0.112
431.237.0.12/3031.237.0.13 to 31.237.0.1431.237.0.152
531.237.0.16/3031.237.0.17 to 31.237.0.1831.237.0.192
631.237.0.20/3031.237.0.21 to 31.237.0.2231.237.0.232
731.237.0.24/3031.237.0.25 to 31.237.0.2631.237.0.272
831.237.0.28/3031.237.0.29 to 31.237.0.3031.237.0.312
931.237.0.32/3031.237.0.33 to 31.237.0.3431.237.0.352
1031.237.0.36/3031.237.0.37 to 31.237.0.3831.237.0.392
1131.237.0.40/3031.237.0.41 to 31.237.0.4231.237.0.432
1231.237.0.44/3031.237.0.45 to 31.237.0.4631.237.0.472
1331.237.0.48/3031.237.0.49 to 31.237.0.5031.237.0.512
1431.237.0.52/3031.237.0.53 to 31.237.0.5431.237.0.552
1531.237.0.56/3031.237.0.57 to 31.237.0.5831.237.0.592
1631.237.0.60/3031.237.0.61 to 31.237.0.6231.237.0.632
1731.237.0.64/3031.237.0.65 to 31.237.0.6631.237.0.672
1831.237.0.68/3031.237.0.69 to 31.237.0.7031.237.0.712
1931.237.0.72/3031.237.0.73 to 31.237.0.7431.237.0.752
2031.237.0.76/3031.237.0.77 to 31.237.0.7831.237.0.792
2131.237.0.80/3031.237.0.81 to 31.237.0.8231.237.0.832
2231.237.0.84/3031.237.0.85 to 31.237.0.8631.237.0.872
2331.237.0.88/3031.237.0.89 to 31.237.0.9031.237.0.912
2431.237.0.92/3031.237.0.93 to 31.237.0.9431.237.0.952
2531.237.0.96/3031.237.0.97 to 31.237.0.9831.237.0.992
2631.237.0.100/3031.237.0.101 to 31.237.0.10231.237.0.1032
2731.237.0.104/3031.237.0.105 to 31.237.0.10631.237.0.1072
2831.237.0.108/3031.237.0.109 to 31.237.0.11031.237.0.1112
2931.237.0.112/3031.237.0.113 to 31.237.0.11431.237.0.1152
3031.237.0.116/3031.237.0.117 to 31.237.0.11831.237.0.1192
3131.237.0.120/3031.237.0.121 to 31.237.0.12231.237.0.1232
3231.237.0.124/3031.237.0.125 to 31.237.0.12631.237.0.1272
3331.237.0.128/3031.237.0.129 to 31.237.0.13031.237.0.1312
3431.237.0.132/3031.237.0.133 to 31.237.0.13431.237.0.1352
3531.237.0.136/3031.237.0.137 to 31.237.0.13831.237.0.1392
3631.237.0.140/3031.237.0.141 to 31.237.0.14231.237.0.1432
3731.237.0.144/3031.237.0.145 to 31.237.0.14631.237.0.1472
3831.237.0.148/3031.237.0.149 to 31.237.0.15031.237.0.1512
3931.237.0.152/3031.237.0.153 to 31.237.0.15431.237.0.1552
4031.237.0.156/3031.237.0.157 to 31.237.0.15831.237.0.1592
4131.237.0.160/3031.237.0.161 to 31.237.0.16231.237.0.1632
4231.237.0.164/3031.237.0.165 to 31.237.0.16631.237.0.1672
4331.237.0.168/3031.237.0.169 to 31.237.0.17031.237.0.1712
4431.237.0.172/3031.237.0.173 to 31.237.0.17431.237.0.1752
4531.237.0.176/3031.237.0.177 to 31.237.0.17831.237.0.1792
4631.237.0.180/3031.237.0.181 to 31.237.0.18231.237.0.1832
4731.237.0.184/3031.237.0.185 to 31.237.0.18631.237.0.1872
4831.237.0.188/3031.237.0.189 to 31.237.0.19031.237.0.1912
4931.237.0.192/3031.237.0.193 to 31.237.0.19431.237.0.1952
5031.237.0.196/3031.237.0.197 to 31.237.0.19831.237.0.1992
5131.237.0.200/3031.237.0.201 to 31.237.0.20231.237.0.2032
5231.237.0.204/3031.237.0.205 to 31.237.0.20631.237.0.2072
5331.237.0.208/3031.237.0.209 to 31.237.0.21031.237.0.2112
5431.237.0.212/3031.237.0.213 to 31.237.0.21431.237.0.2152
5531.237.0.216/3031.237.0.217 to 31.237.0.21831.237.0.2192
5631.237.0.220/3031.237.0.221 to 31.237.0.22231.237.0.2232
5731.237.0.224/3031.237.0.225 to 31.237.0.22631.237.0.2272
5831.237.0.228/3031.237.0.229 to 31.237.0.23031.237.0.2312
5931.237.0.232/3031.237.0.233 to 31.237.0.23431.237.0.2352
6031.237.0.236/3031.237.0.237 to 31.237.0.23831.237.0.2392
6131.237.0.240/3031.237.0.241 to 31.237.0.24231.237.0.2432
6231.237.0.244/3031.237.0.245 to 31.237.0.24631.237.0.2472
6331.237.0.248/3031.237.0.249 to 31.237.0.25031.237.0.2512
6431.237.0.252/3031.237.0.253 to 31.237.0.25431.237.0.2552
6531.237.1.0/3031.237.1.1 to 31.237.1.231.237.1.32
6631.237.1.4/3031.237.1.5 to 31.237.1.631.237.1.72
6731.237.1.8/3031.237.1.9 to 31.237.1.1031.237.1.112
6831.237.1.12/3031.237.1.13 to 31.237.1.1431.237.1.152
6931.237.1.16/3031.237.1.17 to 31.237.1.1831.237.1.192
7031.237.1.20/3031.237.1.21 to 31.237.1.2231.237.1.232
7131.237.1.24/3031.237.1.25 to 31.237.1.2631.237.1.272
7231.237.1.28/3031.237.1.29 to 31.237.1.3031.237.1.312
7331.237.1.32/3031.237.1.33 to 31.237.1.3431.237.1.352
7431.237.1.36/3031.237.1.37 to 31.237.1.3831.237.1.392
7531.237.1.40/3031.237.1.41 to 31.237.1.4231.237.1.432
7631.237.1.44/3031.237.1.45 to 31.237.1.4631.237.1.472
7731.237.1.48/3031.237.1.49 to 31.237.1.5031.237.1.512
7831.237.1.52/3031.237.1.53 to 31.237.1.5431.237.1.552
7931.237.1.56/3031.237.1.57 to 31.237.1.5831.237.1.592
8031.237.1.60/3031.237.1.61 to 31.237.1.6231.237.1.632
8131.237.1.64/3031.237.1.65 to 31.237.1.6631.237.1.672
8231.237.1.68/3031.237.1.69 to 31.237.1.7031.237.1.712
8331.237.1.72/3031.237.1.73 to 31.237.1.7431.237.1.752
8431.237.1.76/3031.237.1.77 to 31.237.1.7831.237.1.792
8531.237.1.80/3031.237.1.81 to 31.237.1.8231.237.1.832
8631.237.1.84/3031.237.1.85 to 31.237.1.8631.237.1.872
8731.237.1.88/3031.237.1.89 to 31.237.1.9031.237.1.912
8831.237.1.92/3031.237.1.93 to 31.237.1.9431.237.1.952
8931.237.1.96/3031.237.1.97 to 31.237.1.9831.237.1.992
9031.237.1.100/3031.237.1.101 to 31.237.1.10231.237.1.1032
9131.237.1.104/3031.237.1.105 to 31.237.1.10631.237.1.1072
9231.237.1.108/3031.237.1.109 to 31.237.1.11031.237.1.1112
9331.237.1.112/3031.237.1.113 to 31.237.1.11431.237.1.1152
9431.237.1.116/3031.237.1.117 to 31.237.1.11831.237.1.1192
9531.237.1.120/3031.237.1.121 to 31.237.1.12231.237.1.1232
9631.237.1.124/3031.237.1.125 to 31.237.1.12631.237.1.1272
9731.237.1.128/3031.237.1.129 to 31.237.1.13031.237.1.1312
9831.237.1.132/3031.237.1.133 to 31.237.1.13431.237.1.1352
9931.237.1.136/3031.237.1.137 to 31.237.1.13831.237.1.1392
10031.237.1.140/3031.237.1.141 to 31.237.1.14231.237.1.1432
10131.237.1.144/3031.237.1.145 to 31.237.1.14631.237.1.1472
10231.237.1.148/3031.237.1.149 to 31.237.1.15031.237.1.1512
10331.237.1.152/3031.237.1.153 to 31.237.1.15431.237.1.1552
10431.237.1.156/3031.237.1.157 to 31.237.1.15831.237.1.1592
10531.237.1.160/3031.237.1.161 to 31.237.1.16231.237.1.1632
10631.237.1.164/3031.237.1.165 to 31.237.1.16631.237.1.1672
10731.237.1.168/3031.237.1.169 to 31.237.1.17031.237.1.1712
10831.237.1.172/3031.237.1.173 to 31.237.1.17431.237.1.1752
10931.237.1.176/3031.237.1.177 to 31.237.1.17831.237.1.1792
11031.237.1.180/3031.237.1.181 to 31.237.1.18231.237.1.1832
11131.237.1.184/3031.237.1.185 to 31.237.1.18631.237.1.1872
11231.237.1.188/3031.237.1.189 to 31.237.1.19031.237.1.1912
11331.237.1.192/3031.237.1.193 to 31.237.1.19431.237.1.1952
11431.237.1.196/3031.237.1.197 to 31.237.1.19831.237.1.1992
11531.237.1.200/3031.237.1.201 to 31.237.1.20231.237.1.2032
11631.237.1.204/3031.237.1.205 to 31.237.1.20631.237.1.2072
11731.237.1.208/3031.237.1.209 to 31.237.1.21031.237.1.2112
11831.237.1.212/3031.237.1.213 to 31.237.1.21431.237.1.2152
11931.237.1.216/3031.237.1.217 to 31.237.1.21831.237.1.2192
12031.237.1.220/3031.237.1.221 to 31.237.1.22231.237.1.2232
12131.237.1.224/3031.237.1.225 to 31.237.1.22631.237.1.2272
12231.237.1.228/3031.237.1.229 to 31.237.1.23031.237.1.2312
12331.237.1.232/3031.237.1.233 to 31.237.1.23431.237.1.2352
12431.237.1.236/3031.237.1.237 to 31.237.1.23831.237.1.2392
12531.237.1.240/3031.237.1.241 to 31.237.1.24231.237.1.2432
12631.237.1.244/3031.237.1.245 to 31.237.1.24631.237.1.2472
12731.237.1.248/3031.237.1.249 to 31.237.1.25031.237.1.2512
12831.237.1.252/3031.237.1.253 to 31.237.1.25431.237.1.2552
12931.237.2.0/3031.237.2.1 to 31.237.2.231.237.2.32
13031.237.2.4/3031.237.2.5 to 31.237.2.631.237.2.72
13131.237.2.8/3031.237.2.9 to 31.237.2.1031.237.2.112
13231.237.2.12/3031.237.2.13 to 31.237.2.1431.237.2.152
13331.237.2.16/3031.237.2.17 to 31.237.2.1831.237.2.192
13431.237.2.20/3031.237.2.21 to 31.237.2.2231.237.2.232
13531.237.2.24/3031.237.2.25 to 31.237.2.2631.237.2.272
13631.237.2.28/3031.237.2.29 to 31.237.2.3031.237.2.312
13731.237.2.32/3031.237.2.33 to 31.237.2.3431.237.2.352
13831.237.2.36/3031.237.2.37 to 31.237.2.3831.237.2.392
13931.237.2.40/3031.237.2.41 to 31.237.2.4231.237.2.432
14031.237.2.44/3031.237.2.45 to 31.237.2.4631.237.2.472
14131.237.2.48/3031.237.2.49 to 31.237.2.5031.237.2.512
14231.237.2.52/3031.237.2.53 to 31.237.2.5431.237.2.552
14331.237.2.56/3031.237.2.57 to 31.237.2.5831.237.2.592
14431.237.2.60/3031.237.2.61 to 31.237.2.6231.237.2.632
14531.237.2.64/3031.237.2.65 to 31.237.2.6631.237.2.672
14631.237.2.68/3031.237.2.69 to 31.237.2.7031.237.2.712
14731.237.2.72/3031.237.2.73 to 31.237.2.7431.237.2.752
14831.237.2.76/3031.237.2.77 to 31.237.2.7831.237.2.792
14931.237.2.80/3031.237.2.81 to 31.237.2.8231.237.2.832
15031.237.2.84/3031.237.2.85 to 31.237.2.8631.237.2.872
15131.237.2.88/3031.237.2.89 to 31.237.2.9031.237.2.912
15231.237.2.92/3031.237.2.93 to 31.237.2.9431.237.2.952
15331.237.2.96/3031.237.2.97 to 31.237.2.9831.237.2.992
15431.237.2.100/3031.237.2.101 to 31.237.2.10231.237.2.1032
15531.237.2.104/3031.237.2.105 to 31.237.2.10631.237.2.1072
15631.237.2.108/3031.237.2.109 to 31.237.2.11031.237.2.1112
15731.237.2.112/3031.237.2.113 to 31.237.2.11431.237.2.1152
15831.237.2.116/3031.237.2.117 to 31.237.2.11831.237.2.1192
15931.237.2.120/3031.237.2.121 to 31.237.2.12231.237.2.1232
16031.237.2.124/3031.237.2.125 to 31.237.2.12631.237.2.1272
16131.237.2.128/3031.237.2.129 to 31.237.2.13031.237.2.1312
16231.237.2.132/3031.237.2.133 to 31.237.2.13431.237.2.1352
16331.237.2.136/3031.237.2.137 to 31.237.2.13831.237.2.1392
16431.237.2.140/3031.237.2.141 to 31.237.2.14231.237.2.1432
16531.237.2.144/3031.237.2.145 to 31.237.2.14631.237.2.1472
16631.237.2.148/3031.237.2.149 to 31.237.2.15031.237.2.1512
16731.237.2.152/3031.237.2.153 to 31.237.2.15431.237.2.1552
16831.237.2.156/3031.237.2.157 to 31.237.2.15831.237.2.1592
16931.237.2.160/3031.237.2.161 to 31.237.2.16231.237.2.1632
17031.237.2.164/3031.237.2.165 to 31.237.2.16631.237.2.1672
17131.237.2.168/3031.237.2.169 to 31.237.2.17031.237.2.1712
17231.237.2.172/3031.237.2.173 to 31.237.2.17431.237.2.1752
17331.237.2.176/3031.237.2.177 to 31.237.2.17831.237.2.1792
17431.237.2.180/3031.237.2.181 to 31.237.2.18231.237.2.1832
17531.237.2.184/3031.237.2.185 to 31.237.2.18631.237.2.1872
17631.237.2.188/3031.237.2.189 to 31.237.2.19031.237.2.1912
17731.237.2.192/3031.237.2.193 to 31.237.2.19431.237.2.1952
17831.237.2.196/3031.237.2.197 to 31.237.2.19831.237.2.1992
17931.237.2.200/3031.237.2.201 to 31.237.2.20231.237.2.2032
18031.237.2.204/3031.237.2.205 to 31.237.2.20631.237.2.2072
18131.237.2.208/3031.237.2.209 to 31.237.2.21031.237.2.2112
18231.237.2.212/3031.237.2.213 to 31.237.2.21431.237.2.2152
18331.237.2.216/3031.237.2.217 to 31.237.2.21831.237.2.2192
18431.237.2.220/3031.237.2.221 to 31.237.2.22231.237.2.2232
18531.237.2.224/3031.237.2.225 to 31.237.2.22631.237.2.2272
18631.237.2.228/3031.237.2.229 to 31.237.2.23031.237.2.2312
18731.237.2.232/3031.237.2.233 to 31.237.2.23431.237.2.2352
18831.237.2.236/3031.237.2.237 to 31.237.2.23831.237.2.2392
18931.237.2.240/3031.237.2.241 to 31.237.2.24231.237.2.2432
19031.237.2.244/3031.237.2.245 to 31.237.2.24631.237.2.2472
19131.237.2.248/3031.237.2.249 to 31.237.2.25031.237.2.2512
19231.237.2.252/3031.237.2.253 to 31.237.2.25431.237.2.2552
19331.237.3.0/3031.237.3.1 to 31.237.3.231.237.3.32
19431.237.3.4/3031.237.3.5 to 31.237.3.631.237.3.72
19531.237.3.8/3031.237.3.9 to 31.237.3.1031.237.3.112
19631.237.3.12/3031.237.3.13 to 31.237.3.1431.237.3.152
19731.237.3.16/3031.237.3.17 to 31.237.3.1831.237.3.192
19831.237.3.20/3031.237.3.21 to 31.237.3.2231.237.3.232
19931.237.3.24/3031.237.3.25 to 31.237.3.2631.237.3.272
20031.237.3.28/3031.237.3.29 to 31.237.3.3031.237.3.312
20131.237.3.32/3031.237.3.33 to 31.237.3.3431.237.3.352
20231.237.3.36/3031.237.3.37 to 31.237.3.3831.237.3.392
20331.237.3.40/3031.237.3.41 to 31.237.3.4231.237.3.432
20431.237.3.44/3031.237.3.45 to 31.237.3.4631.237.3.472
20531.237.3.48/3031.237.3.49 to 31.237.3.5031.237.3.512
20631.237.3.52/3031.237.3.53 to 31.237.3.5431.237.3.552
20731.237.3.56/3031.237.3.57 to 31.237.3.5831.237.3.592
20831.237.3.60/3031.237.3.61 to 31.237.3.6231.237.3.632
20931.237.3.64/3031.237.3.65 to 31.237.3.6631.237.3.672
21031.237.3.68/3031.237.3.69 to 31.237.3.7031.237.3.712
21131.237.3.72/3031.237.3.73 to 31.237.3.7431.237.3.752
21231.237.3.76/3031.237.3.77 to 31.237.3.7831.237.3.792
21331.237.3.80/3031.237.3.81 to 31.237.3.8231.237.3.832
21431.237.3.84/3031.237.3.85 to 31.237.3.8631.237.3.872
21531.237.3.88/3031.237.3.89 to 31.237.3.9031.237.3.912
21631.237.3.92/3031.237.3.93 to 31.237.3.9431.237.3.952
21731.237.3.96/3031.237.3.97 to 31.237.3.9831.237.3.992
21831.237.3.100/3031.237.3.101 to 31.237.3.10231.237.3.1032
21931.237.3.104/3031.237.3.105 to 31.237.3.10631.237.3.1072
22031.237.3.108/3031.237.3.109 to 31.237.3.11031.237.3.1112
22131.237.3.112/3031.237.3.113 to 31.237.3.11431.237.3.1152
22231.237.3.116/3031.237.3.117 to 31.237.3.11831.237.3.1192
22331.237.3.120/3031.237.3.121 to 31.237.3.12231.237.3.1232
22431.237.3.124/3031.237.3.125 to 31.237.3.12631.237.3.1272
22531.237.3.128/3031.237.3.129 to 31.237.3.13031.237.3.1312
22631.237.3.132/3031.237.3.133 to 31.237.3.13431.237.3.1352
22731.237.3.136/3031.237.3.137 to 31.237.3.13831.237.3.1392
22831.237.3.140/3031.237.3.141 to 31.237.3.14231.237.3.1432
22931.237.3.144/3031.237.3.145 to 31.237.3.14631.237.3.1472
23031.237.3.148/3031.237.3.149 to 31.237.3.15031.237.3.1512
23131.237.3.152/3031.237.3.153 to 31.237.3.15431.237.3.1552
23231.237.3.156/3031.237.3.157 to 31.237.3.15831.237.3.1592
23331.237.3.160/3031.237.3.161 to 31.237.3.16231.237.3.1632
23431.237.3.164/3031.237.3.165 to 31.237.3.16631.237.3.1672
23531.237.3.168/3031.237.3.169 to 31.237.3.17031.237.3.1712
23631.237.3.172/3031.237.3.173 to 31.237.3.17431.237.3.1752
23731.237.3.176/3031.237.3.177 to 31.237.3.17831.237.3.1792
23831.237.3.180/3031.237.3.181 to 31.237.3.18231.237.3.1832
23931.237.3.184/3031.237.3.185 to 31.237.3.18631.237.3.1872
24031.237.3.188/3031.237.3.189 to 31.237.3.19031.237.3.1912
24131.237.3.192/3031.237.3.193 to 31.237.3.19431.237.3.1952
24231.237.3.196/3031.237.3.197 to 31.237.3.19831.237.3.1992
24331.237.3.200/3031.237.3.201 to 31.237.3.20231.237.3.2032
24431.237.3.204/3031.237.3.205 to 31.237.3.20631.237.3.2072
24531.237.3.208/3031.237.3.209 to 31.237.3.21031.237.3.2112
24631.237.3.212/3031.237.3.213 to 31.237.3.21431.237.3.2152
24731.237.3.216/3031.237.3.217 to 31.237.3.21831.237.3.2192
24831.237.3.220/3031.237.3.221 to 31.237.3.22231.237.3.2232
24931.237.3.224/3031.237.3.225 to 31.237.3.22631.237.3.2272
25031.237.3.228/3031.237.3.229 to 31.237.3.23031.237.3.2312
25131.237.3.232/3031.237.3.233 to 31.237.3.23431.237.3.2352
25231.237.3.236/3031.237.3.237 to 31.237.3.23831.237.3.2392
25331.237.3.240/3031.237.3.241 to 31.237.3.24231.237.3.2432
25431.237.3.244/3031.237.3.245 to 31.237.3.24631.237.3.2472
25531.237.3.248/3031.237.3.249 to 31.237.3.25031.237.3.2512
25631.237.3.252/3031.237.3.253 to 31.237.3.25431.237.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses